USE [master]
GO
IF NOT EXISTS (SELECT name FROM sys.databases WHERE name = N'CuyahogaBooks')
BEGIN
CREATE DATABASE [CuyahogaBooks] ON  PRIMARY 
( NAME = N'CuyahogaBooks', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\DATA\CuyahogaBooks.mdf' , SIZE = 2048KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'CuyahogaBooks_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\DATA\CuyahogaBooks_log.ldf' , SIZE = 1024KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
END

GO
EXEC dbo.sp_dbcmptlevel @dbname=N'CuyahogaBooks', @new_cmptlevel=90
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [CuyahogaBooks].[dbo].[sp_fulltext_database] @action = 'disable'
end
GO
ALTER DATABASE [CuyahogaBooks] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [CuyahogaBooks] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [CuyahogaBooks] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [CuyahogaBooks] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [CuyahogaBooks] SET ARITHABORT OFF 
GO
ALTER DATABASE [CuyahogaBooks] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [CuyahogaBooks] SET AUTO_CREATE_STATISTICS ON 
GO
ALTER DATABASE [CuyahogaBooks] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [CuyahogaBooks] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [CuyahogaBooks] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [CuyahogaBooks] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [CuyahogaBooks] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [CuyahogaBooks] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [CuyahogaBooks] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [CuyahogaBooks] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [CuyahogaBooks] SET  ENABLE_BROKER 
GO
ALTER DATABASE [CuyahogaBooks] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [CuyahogaBooks] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [CuyahogaBooks] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [CuyahogaBooks] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [CuyahogaBooks] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [CuyahogaBooks] SET  READ_WRITE 
GO
ALTER DATABASE [CuyahogaBooks] SET RECOVERY FULL 
GO
ALTER DATABASE [CuyahogaBooks] SET  MULTI_USER 
GO
ALTER DATABASE [CuyahogaBooks] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [CuyahogaBooks] SET DB_CHAINING OFF 
USE [CuyahogaBooks]
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Books]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Books](
	[BookId] [int] IDENTITY(1,1) NOT NULL,
	[Title] [nvarchar](200) NOT NULL,
 CONSTRAINT [PK_Books] PRIMARY KEY CLUSTERED 
(
	[BookId] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Orders]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Orders](
	[OrderId] [int] IDENTITY(1,1) NOT NULL,
	[BookId] [int] NOT NULL,
	[Quantity] [int] NOT NULL,
	[OrderDate] [datetime] NULL,
 CONSTRAINT [PK_Orders] PRIMARY KEY CLUSTERED 
(
	[OrderId] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[OrderSummary]'))
EXEC dbo.sp_executesql @statement = N'CREATE VIEW [dbo].[OrderSummary]
AS
SELECT dbo.Orders.OrderId, dbo.Orders.Quantity, dbo.Books.Title, dbo.Orders.OrderDate
FROM      dbo.Books INNER JOIN
                      dbo.Orders ON dbo.Books.BookId = dbo.Orders.BookId
' 
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Books"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 85
               Right = 189
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Orders"
            Begin Extent = 
               Top = 6
               Left = 227
               Bottom = 154
               Right = 378
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 9
         Width = 284
         Width = 1500
         Width = 5880
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'OrderSummary'

GO
EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'OrderSummary'

GO
USE [CuyahogaBooks]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_Orders_Books]') AND parent_object_id = OBJECT_ID(N'[dbo].[Orders]'))
ALTER TABLE [dbo].[Orders]  WITH CHECK ADD  CONSTRAINT [FK_Orders_Books] FOREIGN KEY([BookId])
REFERENCES [dbo].[Books] ([BookId])
